Bug 86537 - [patch]: update a graphics/xli port to a newer snapshot version and fix man pages
Summary: [patch]: update a graphics/xli port to a newer snapshot version and fix man p...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Joseph Koshy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-24 22:40 UTC by Rostislav Krasny
Modified: 2005-09-25 12:22 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rostislav Krasny 2005-09-24 22:40:21 UTC
The graphics/xli port is a set of utilities to display images on X11. There is a newer snapshot of the Xli available. Also, the previous version of the port did not link xview.1 and xsetbg.1 to xli.1 manula page.

Fix: 

Note that the files/patch-ab file was deleted as not needed. The problem it was fixing was resolved by the Xli author. Look for a scentre() function in xli.c.--9bBVwjO0VedbhD1joiX5vvPvtDOA3mJQOk9XRkjvYgJZu4Eb
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ur xli.prev/Makefile xli/Makefile
--- xli.prev/Makefile	Mon Sep 19 14:35:32 2005
+++ xli/Makefile	Sun Sep 25 00:12:46 2005
@@ -7,7 +7,7 @@
 
 PORTNAME=	xli
 PORTVERSION=	1.17.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	graphics
 MASTER_SITES=	http://pantransit.reptiles.org/prog/xli/ \
 		${MASTER_SITE_XCONTRIB}
@@ -26,8 +26,10 @@
 USE_IMAKE=	yes
 USE_PERL5_BUILD=yes
 MAN1=		xli.1 xlito.1
+MLINKS=		xli.1 xview.1 \
+		xli.1 xsetbg.1
 
-XLI_SNAPVER=	2005-02-27
+XLI_SNAPVER=	2005-09-04
 
 post-patch:
 	@${PERL} -pi -e "s|%%LOCALBASE%%|${LOCALBASE}|g" ${WRKSRC}/Imakefile
diff -ur xli.prev/distinfo xli/distinfo
--- xli.prev/distinfo	Mon Sep 19 14:35:32 2005
+++ xli/distinfo	Sat Sep 24 23:58:47 2005
@@ -1,2 +1,2 @@
-MD5 (xli-2005-02-27.tar.gz) = db470da53500017fd6969457c12c98f7
-SIZE (xli-2005-02-27.tar.gz) = 201011
+MD5 (xli-2005-09-04.tar.gz) = 26894838a3e69a1e12f3c5b6b1bf7977
+SIZE (xli-2005-09-04.tar.gz) = 201219
Only in xli.prev/files: patch-ab
Comment 1 Marcus Alves Grando freebsd_committer 2005-09-25 06:21:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jkoshy

Over to maintainer.
Comment 2 Joseph Koshy freebsd_committer 2005-09-25 12:22:12 UTC
State Changed
From-To: open->closed

Patch committed, thanks!